Home > Install Ati > Install Ati Drivers Opensuse 12.3

Install Ati Drivers Opensuse 12.3

Yeap there's a closed driver, called amd-gpu-pro, available, for newer cards. Edwin Zakaria (4) Marcus Hüwe (39) Marcus Meissner (2) Marcus Moeller (3) Marcus Schaefer (4) Martin Lasarsch (8) Martin Mohring (11) Masim "Vavai" Sugianto (20) Michael Andres (1) Michael Löffler (7) Download the checksum file: # wget https://www.sebastian-siebert.de/downloads/makerpm-amd-15.12.sh.sha256 Check on this page if there is an updated script and find the according checksum file if there is one. So if you're in touch with Sebastian, could you drop me a comment or a private mail? Check This Out

Please proceed to the following guidelines. It supports up to Kernel 4.5. (Official support up to Kernel 3.19) Important note: The driver does not work on openSUSE Tumbleweed. For example, while running openSUSE 12.3, the highlighted item should be "openSUSE 12.3" Press "E" key to edit the selected item While in editing mode, use the arrow keys to navigate Downloads Support Community Development Help Login Register Forum New Posts FAQ Calendar Forum Actions Mark Forums Read Quick Links Today's Posts View Site Leaders Articles Blogs What's New? https://en.opensuse.org/SDB:AMD_fglrx

Copy this file to the correct location /etc/X11/xorg.conf Reboot normally into a graphical session So, your vanilla Device section should look something like this: Section "Device" BoardName "R420 JI" Driver "radeon" Tags: 42.1, amd, ATI, fglrx, Kernel, Leap, xorg Posted in Base System, Desktop, Kernel, X.org | 1 Comment » New Proprietary AMD/ATI Catalyst omega fglrx 14.12 (14.501.1003-1) rpm released December 13th, Before you proceed, consider that this is not without risk: Some options can crash your X server. Witcher 2 random lock-up seen when launching the application Screen corruption when connecting an external monitor to some PowerXpress AMD GPU + Intel CPU platforms Intermittent X crash when the user

Actual situation Since last december, AMD doesn't published any update about fglrx so the version is still the 15.12.302 published. The time now is 23:35. © 2017 SUSE, All Rights Reserved. Wait there's amd-gpu-pro, no? But one day something will broke in kernel or somewhere else, and we all need to find a way to fix it.

Unfortunately, the version of X-server is too new for the driver. To make sure your system is completely purged from fglrx you need to backup this file if still present by renaming it to for example "xorg.conf.bc". Video Playback[edit] Add Packman Repositories Open YAST Open Software Source, Click add, From URL and add this url http://packman.inode.at/suse/openSUSE_13.1 (Change "openSUSE_XX.Y" to match your openSUSE version) This will provide extra packages https://en.opensuse.org/SDB:Radeon If you are satisfied with the open-source radeon drivers, don’t risk to break your computer !

Unfortunately the AMD driver has a compatibility issue in combination with the GNOME Desktopmanager and X-Server. file by typing rpm -ivh fglrx_...(hit tab again to get full name)... 7. SDB:Configuring graphics cards External links openSUSE Lizards -- AMD Sebastian Siebert blog (german) Bruno Friedmann (tigerfoot) blog (english) Retrieved from "http://en.opensuse.org/index.php?title=SDB:AMD_fglrx&oldid=119682" Categories: SDB:11.2SDB:11.3SDB:11.4ATISDB:HOWTOsSDB:HardwareSDB:X11 SDBDiscussionView sourceHistory This page has been accessed 313,818 Or you can also ping him on irc (freespacer) Debugging troubles I recommend in case of trouble the use of his script which can collect the whole informations needed to help

  • check out packman repo for extra plugins and stuff, --winglman-- OpenSuSe 12.1 (Driver from AMD website) easy way...[edit] Download The Latest AMD Driver from ATI/AMD wget http://www2.ati.com/drivers/linux/amd-driver-installer-12-10-x86.x86_64.zip unzip amd-driver-installer-12-10-x86.x86_64.zip chmod +x
  • It will be the last build for all openSUSE version below 13.1 (except if patches are needed).
  • X11 Configuration When fglrx is installed, aticonfig creates a /etc/X11/xorg.conf, containing configuration details for running fglrx.
  • In these cases there is no need for any further configuration.
  • Content is available under Public Domain unless otherwise noted.
  • Some of them can crash your X server, so backup your xorg.conf before making changes.
  • Let's validate against the script: # sha256sum -c makerpm-amd-15.12.sh.sha256 The output should be: # makerpm-amd-15.12.sh: OK Change the permission of the script: # chown root:root makerpm-amd-15.12.sh && chmod 744 makerpm-amd-15.12.sh Run
  • To check this you can type into a terminal lsmod | grep radeon If the result is "radeon" then the driver is already installed.
  • AMD Radeon™ R9 285 Ubuntu 14.04 support RHEL 7.0 support Install improvements Package and distribution generation options; recommend options set by default Help user install generated distribution package once created Pop-up

Let boot your system in console mode, once you see a prompt login, use the root account Recreate the initrd without the free radeon loaded: # mkinitrd Reboot in console mode https://forums.opensuse.org/showthread.php/484197-Installation-Help-AMD-Catalyst-for-12-3 Remember to commit the changes by running mkinitrd after changing this file. Create a SUSE RPM (info is for 32 bit version) from the file by typing ./ati-driver-installer-*.run --buildpkg SuSE/SUSE101-IA32 6. yes/no [y/n]: y Are you sure to upload the above-named system report to sprunge.us?

The script generate the RPM package and install/update automatically it. # ./makerpm-amd-15.12.sh -i Important: Reboot the computer after the installation. his comment is here Check if the options mentioned after this, are supported by your hardware. RX 4xx (Polaris) chipsets use the new open source AMDGPU drivers included with openSUSE, while older ATI GPUs are supported using the 'radeon' open source drivers. Check the website to get the latest.

Create an Xorg.conf If you don't have ANY xorg.conf (which may be true with openSUSE 11.2 and above), then you could create one. If setting it to "AGP" or "PCIE" causes problems, you can set it to "PCI" but you'll have a performance drop. Once both of them will be fixed Sebastian will produce a newer script. this contact form Posting in the Forums implies acceptance of the Terms and Conditions.

Stay tune! The administrator has banned your IP address or IP range because the forum moderators have detected abuse of our system from your IP address or range. yes/no [y/n]: y The report was uploaded to sprunge.us.

Use the tab button to complete the rest of the ati-driver...

You will have to register before you can post in the forums. (Be aware the forums do not accept user names with a dash "-") Also, logging in lets you avoid Release note about 14.9 AMD Full release note New Features: The following section provides a summary of new features in this driver version. This needs to be removed: rm /etc/modprobe.d/fglrx.conf or: rm /etc/modprobe.d/50-fglrx.conf depending on your openSUSE version. Leap being available only for x86_64 bit plateform, the driver follow the same available arch.

You will have to register before you can post in the forums. (Be aware the forums do not accept user names with a dash "-") Also, logging in lets you avoid Installation / update Please refer to the wiki page SDB:AMD_fgrlx New packaging schema The driver is now splitted into different rpm that all need to be installed. Warning Be careful adjusting these settings. http://directoryhint.com/install-ati/install-ati-driver-opensuse-12-2.php A report of your system is very helpful beside your feedback.

If this is your first visit, be sure to check out the FAQ. you can! Adding the repository Start YaST2, with the help of menu Click Software Repositories in the YaST Control Center Click Add, select Specify URL and click Next Enter the repository url and I'm considering the release of thoses rpms as experimental, they work for some, and sometimes are convenient.

If you want to contact the administrator about it, click here -- openSUSE-CMS -- Basic Green -- Default Mobile Style -- 简体中文 -- 繁體中文 -- Deutsch -- Русский -- English -- So I've prepared the new version available for openSUSE 11.4, 12.1, 12.2, 12.3, 13.1, 13.2 and Tumbleweed. December 7th, 2016 by Bruno Friedmann Tweet Long time not talking about fglrx rpm, mostly because they've got no update since last December 2015. Not all of them are supported by all hardware.

Reboot your PC in runlevel 3, as descibed earlier, and login as a normal user Again, type "su" (no quotes - enter root password) to switch users to the administrator/root. A full list of options is available on the radeon man page. Boot up again, and check the new /etc/X11/xorg.conf file, compare it to your old one, and make any changes if you know what you're doing. Message Sorry.

A bit of history In 2010, when we were working hard to get 11.1 out, the news that no supported ATI (at that time) will be available for end-users, as we SU to get root, run mkinitrd to make sure radeon stays blacklisted. (Comment) in case the above method does not help, you may try add to /etc/modprobe.d/50-blacklist.conf the following line blacklist I would like to continue the good support we created 3.5 years ago, or at least knowning if I'm orphan 🙁 Beta Repository To make things clear about the status of If you find any issue with the driver.

I spent some time fixing all of this stuff. Work in runlevel 3, where you can safely edit your graphical configuration: Switch to tty 1 channel by hitting Ctrl-Alt-F1. You have to start by disabling it so you could fallback to it quickly when new stable version will be published. Not that bad, in the meantime the AMD effort on the free and open source radeon driver, quickly overcome the performance of legacy.

However, if you did a one click install or installed from the repository with YaST or zypper, use zypper to uninstall all packages with "fglrx" in them. Posting in the Forums implies acceptance of the Terms and Conditions.